Package org.pushingpixels.substance.api.skin

# Class RavenSkin

java.lang.Object
org.pushingpixels.substance.api.SubstanceSkin
org.pushingpixels.substance.api.skin.RavenSkin

All Implemented Interfaces:
  `SubstanceTrait`

public class RavenSkin extends SubstanceSkin
`Raven` skin. This class is part of officially supported API.

Since:
  version 3.1

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.substance.api.SubstanceSkin

`SubstanceSkin.ColorSchemes`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`
Display name for `this` skin.

### Fields inherited from class org.pushingpixels.substance.api.SubstanceSkin

`backgroundColorSchemeMap, borderPainter, buttonShaper, colorSchemeBundleMap, decoratedAreaSet, decorationPainter, fillPainter, highlightBorderPainter, highlightPainter, overlayPaintersMap, selectedTabFadeEnd, selectedTabFadeStart, watermark, watermarkScheme`

## Constructor Summary

Constructors
Constructor
Description
`RavenSkin()`
Creates a new `Raven` skin.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns the display name of `this` trait.

### Methods inherited from class org.pushingpixels.substance.api.SubstanceSkin

`addCustomEntriesToTable, addOverlayPainter, getActiveColorScheme, getAlpha, getBackgroundColorScheme, getBorderPainter, getButtonShaper, getColorScheme, getColorScheme, getColorScheme, getColorSchemes, getColorSchemes, getDecorationPainter, getDisabledColorScheme, getEnabledColorScheme, getFillPainter, getHighlightAlpha, getHighlightBorderPainter, getHighlightPainter, getOverlayPainters, getSelectedTabFadeEnd, getSelectedTabFadeStart, getWatermark, getWatermarkColorScheme, isRegisteredAsDecorationArea, isValid, registerAsDecorationArea, registerDecorationAreaSchemeBundle, registerDecorationAreaSchemeBundle, removeOverlayPainter, setSelectedTabFadeEnd, setSelectedTabFadeStart, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
Display name for `this` skin.

See Also:
  - Constant Field Values

## Constructor Details

### RavenSkin

public RavenSkin()
Creates a new `Raven` skin.

## Method Details

### getDisplayName

public String getDisplayName()
Description copied from interface: `SubstanceTrait`
Returns the display name of `this` trait. This method is part of officially supported API.

Returns:
  The display name of `this` trait.